job "nzbget" {
  schedule = "@daily"

  config {
    repo = "rclone::ftp,env_auth:/nomad/nzbget"
    passphrase = env("BACKUP_PASSPHRASE")
  }

  backup {
    paths = [
      # Configuration
      "/data/nas-container/nzbget",
      # Queued nzb files
      "/data/media-write/Downloads/nzb",
    ]
    # Because path is absolute
    restore_opts {
      Target = "/"
    }
  }

  forget {
    KeepLast = 2
    KeepHourly = 24
    KeepDaily = 30
    KeepWeekly = 8
    KeepMonthly = 6
    KeepYearly = 2
    Prune = true
  }
}
